Update a customer property value
PATCH/api/v1/workspaces/{workspace_slug}/customers/{customer_id}/property-values/{property_id}/
Update values for a specific property of a customer.
Path Parameters
customer_id:requiredstringThe unique identifier of the customer.
property_id:requiredstringThe unique identifier of the property.
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
Body Parameters
values:requiredarrayArray of values for the property
Scopes
customers.property_values:write
Update a customer property value
bash
curl -X PATCH \
"https://api.plane.so/api/v1/workspaces/my-workspace/customers/customer-uuid/property-values/property-uuid/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"values": [
"Example Name"
]
}'python
import requests
response = requests.patch(
"https://api.plane.so/api/v1/workspaces/my-workspace/customers/customer-uuid/property-values/property-uuid/",
headers={"X-API-Key": "your-api-key"},
json={
"values": [
"Example Name"
]
}
)
print(response.status_code)javascript
const response = await fetch(
"https://api.plane.so/api/v1/workspaces/my-workspace/customers/customer-uuid/property-values/property-uuid/",
{
method: "PATCH",
headers: {
"X-API-Key": "your-api-key",
"Content-Type": "application/json",
},
body: JSON.stringify({
values: ["Example Name"],
}),
}
);
console.log(response.status);Response204
No response body.

